<?php

namespace App\Http\Controllers;
use App\Pais;
use Illuminate\Support\Facades\Auth;

use Illuminate\Http\Request;

class PaisesController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $paises=Pais::all();
        return view('paises.lista',compact('paises'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('paises.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $where = [
            'descripcion_pais' => $request->descripcion
        ];
        $verificarRepetido=Pais::where($where)->first();
        if($verificarRepetido){
            $arrResponse = [
                'message' => 'El País ya existe'
            ];
            return redirect()->route('pais.index')->with($arrResponse);
            dd();
        }
        $pais = new Pais();
        $pais->descripcion_pais = $request->descripcion;
        $pais->id_user = Auth::id();
        $pais->save();
        $arrResponse = [
            'message' => 'País guardado correctamente'
        ];
        return redirect()->route('pais.index')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Pais $pais)
    {
        //
        return view('paises.editar',compact('pais'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Pais $pais)
    {
        //
        
        $pais->descripcion_pais = $request->descripcion;
        $pais->id_user = Auth::id();
        $pais->update();
        $arrResponse = [
            'message' => 'País actualizado correctamente'
        ];
        return redirect()->route('pais.index')->with($arrResponse);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($pais)
    {
        //
        Pais::destroy($pais);
        $arrResponse = [
            'message' => 'Pais eliminada correctamente'
        ];
        return redirect()->route('pais.index')->with($arrResponse);
    }
}
